summaryrefslogtreecommitdiffstats
path: root/make/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'make/scripts')
-rwxr-xr-xmake/scripts/deploy-jars-webstarttest.sh60
-rwxr-xr-xmake/scripts/deploy-jars-webstarttest_pack200.sh43
-rwxr-xr-xmake/scripts/deploy-jnlp-webstarttest-filter.sh25
-rwxr-xr-xmake/scripts/deploy-jnlp-webstarttest.sh76
4 files changed, 204 insertions, 0 deletions
diff --git a/make/scripts/deploy-jars-webstarttest.sh b/make/scripts/deploy-jars-webstarttest.sh
new file mode 100755
index 000000000..9f38c8e28
--- /dev/null
+++ b/make/scripts/deploy-jars-webstarttest.sh
@@ -0,0 +1,60 @@
+#! /bin/sh
+
+joglbuilddir=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 jogl-builddir webstartdir
+ exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+ echo $joglbuilddir does not exist
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+builddirbase=`basename $joglbuilddir`
+joglroot=`dirname $joglbuilddir`
+gluegenroot=$joglroot/../gluegen
+demosroot=$joglroot/../jogl-demos
+
+jnlpdir_gluegen=$gluegenroot/jnlp-files
+jnlpdir_jogl=$joglroot/jnlp-files
+jnlpdir_demos=$demosroot/jnlp-files
+
+if [ ! -e $jnlpdir_gluegen ] ; then
+ echo $jnlpdir_gluegen does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_jogl ] ; then
+ echo $jnlpdir_jogl does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_demos ] ; then
+ echo $jnlpdir_demos does not exist
+ exit 1
+fi
+
+cp -v $gluegenroot/$builddirbase/*.jar $wsdir
+cp -v $gluegenroot/$builddirbase/obj/lib*.so $wsdir
+
+cp -v $joglbuilddir/nativewindow/*.jar $wsdir
+cp -v $joglbuilddir/jogl/*.jar $wsdir
+cp -v $joglbuilddir/newt/*.jar $wsdir
+
+cp -v $joglbuilddir/nativewindow/obj/lib*.so $wsdir
+cp -v $joglbuilddir/jogl/obj/lib*.so $wsdir
+cp -v $joglbuilddir/newt/obj/lib*.so $wsdir
+
+cp -v $demosroot/$builddirbase/*.jar $wsdir
+
diff --git a/make/scripts/deploy-jars-webstarttest_pack200.sh b/make/scripts/deploy-jars-webstarttest_pack200.sh
new file mode 100755
index 000000000..fd9e215a9
--- /dev/null
+++ b/make/scripts/deploy-jars-webstarttest_pack200.sh
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+mkdir -p DLLS
+mv *linux*.jar DLLS/
+mv *windows*.jar DLLS/
+mv *macosx*.jar DLLS/
+
+mkdir -p JAVAS
+mv *.jar JAVAS
+
+cd JAVAS
+
+for i in *.jar ; do
+ echo pack200 -E9 $i.pack.gz $i
+ pack200 -E9 $i.pack.gz $i
+done
+
+cd $wsdir
+
+mv JAVAS/* .
+mv DLLS/* .
+
+rm -rf JAVAS DLLS
+
+cd $THISDIR
+
diff --git a/make/scripts/deploy-jnlp-webstarttest-filter.sh b/make/scripts/deploy-jnlp-webstarttest-filter.sh
new file mode 100755
index 000000000..e95be29cb
--- /dev/null
+++ b/make/scripts/deploy-jnlp-webstarttest-filter.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+cd $wsdir
+
+rm -rf orig
+mkdir orig
+
+for i in *.jnlp ; do
+ mv $i orig
+ sed -e 's/<security>//g' -e 's/<\/security>//g' -e 's/<all-permissions\/>//g' orig/$i > $i
+done
+
diff --git a/make/scripts/deploy-jnlp-webstarttest.sh b/make/scripts/deploy-jnlp-webstarttest.sh
new file mode 100755
index 000000000..26a0f8b35
--- /dev/null
+++ b/make/scripts/deploy-jnlp-webstarttest.sh
@@ -0,0 +1,76 @@
+#! /bin/sh
+
+url=$1
+shift
+
+joglbuilddir=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 codebase-url jogl-builddir webstartdir
+ exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+ echo $joglbuilddir does not exist
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+builddirbase=`basename $joglbuilddir`
+joglroot=`dirname $joglbuilddir`
+gluegenroot=$joglroot/../gluegen
+demosroot=$joglroot/../jogl-demos
+
+jnlpdir_gluegen=$gluegenroot/jnlp-files
+jnlpdir_jogl=$joglroot/jnlp-files
+jnlpdir_demos=$demosroot/jnlp-files
+
+if [ ! -e $jnlpdir_gluegen ] ; then
+ echo $jnlpdir_gluegen does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_jogl ] ; then
+ echo $jnlpdir_jogl does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_demos ] ; then
+ echo $jnlpdir_demos does not exist
+ exit 1
+fi
+
+cp -v $jnlpdir_demos/*.html $wsdir
+
+uri_esc=`echo $url | sed 's/\//\\\\\//g'`
+for j in $jnlpdir_gluegen/*.jnlp ; do
+ jb=`basename $j`
+ echo "processing $j to $wsdir/$jb"
+ sed "s/CODEBASE_TAG/$uri_esc/g" \
+ $j > $wsdir/$jb
+done
+
+for j in $jnlpdir_jogl/*.jnlp ; do
+ jb=`basename $j`
+ echo "processing $j to $wsdir/$jb"
+ sed -e "s/JOGL_CODEBASE_TAG/$uri_esc/g" \
+ -e "s/GLUEGEN_CODEBASE_TAG/$uri_esc/g" \
+ $j > $wsdir/$jb
+done
+
+for j in $jnlpdir_demos/*.jnlp ; do
+ jb=`basename $j`
+ echo "processing $j to $wsdir/$jb"
+ sed -e "s/DEMO_CODEBASE_TAG/$uri_esc/g" \
+ -e "s/JOGL_CODEBASE_TAG/$uri_esc/g" \
+ $j > $wsdir/$jb
+done
+